#!/bin/sh

PIDFILE=/var/run/openlib.pid

if [ -e "$PIDFILE" ] ; then
    # our pidfile exists, let's make sure the process is still running though
    PID=`/bin/cat "$PIDFILE"`
    if /bin/kill -0 "$PID" > /dev/null 2>&1 ; then
        # indeed it is, i'm outta here!
        /bin/echo 'Previous instance running...'
        exit 0
    fi
 fi

# create or update the pidfile
/bin/echo "$$" > $PIDFILE

. /etc/openlib.conf

cd $upload
find $upload -type f -name "*.zip" -mmin +10 -exec sh -c 'unzip $1 && rm $1' _ {} \; 
find $upload -type f -name "*.fb2" ! -user www-data -exec chown www-data:users {} \;
find $upload -type f -name "*.fb2" -user www-data -mmin +10 -exec mv {} $temp \;

cd /opt/openlibrary
/opt/openlibrary/fb2_process.py

/bin/rm -f "$PIDFILE"

exit 0
